#ifndef TESTLIBRARYIMPL_H
#define TESTLIBRARYIMPL_H

#include "ipc/TestLibrary.h"
#include <boost/utility.hpp>
#include <ipc/object.h>

namespace SctCalibrationController {
using namespace Ipc;
    
class TestLibraryImpl : public TestLibrary {
public:
    static TestLibraryImpl& instance();
    
    virtual TestRequestImpl& responseCurve() const;
    virtual TestRequestImpl& threePointGain() const;
    virtual TestRequestImpl& strobeDelay() const;    
    virtual TestRequestImpl& noiseOccupancy() const;
    virtual TestRequestImpl& pipeline() const;
    virtual TestRequestImpl& fullBypass() const;
    virtual TestRequestImpl& trimRange() const;
    virtual TestRequestImpl& timeWalk() const;
    virtual TestRequestImpl& nmask() const;
    
private:
    TestLibraryImpl();
};
    
}

#endif //TESTLIBRARYIMPL_H
