#ifndef RAWSCANRESULTIOHELPER_H
#define RAWSCANRESULTIOHELPER_H

#include "ScanResultIOHelper.h"
#include <memory>

class TH2D;
using std::auto_ptr;

namespace SctData {
	
class RawScanResult;
	
class RawScanResultIOHelper : public ScanResultIOHelper {
public:
	RawScanResultIOHelper() throw() ;
	RawScanResult& create() throw() ;
	void set(const RawScanResult& ob) throw();
	TH2D* getScanData(int iLink) const throw();
	void setScanData(int iLink, auto_ptr<TH2D> data) const throw();

protected:
	mutable RawScanResult* raw;
};
}

#endif //#ifndef RAWSCANRESULTIOHELPER_H
