#ifndef SCANHEADERIOHELPER_H
#define SCANHEADERIOHELPER_H

#include <string>
#include <boost/shared_ptr.hpp>

using std::string;
using boost::shared_ptr;

namespace SctData {

class ScanHeader;
class ConfigurationVariable;

class ScanHeaderIOHelper {
public:
	ScanHeader& create() throw() ;
	void set(ScanHeader& h) throw() ;
	unsigned int& getScanNumber() throw() ;
	unsigned int& getRunNumber() throw() ;
	string& getModuleName() throw() ;
	const ConfigurationVariable*& getVariable() throw() ;

protected:
	ScanHeader* header;
};
	
}
#endif //#ifndef SCANHEADERIOHELPER_H
