/*
 * displayParams.java
 *
 * Created on 24 June 2003, 13:49
 */

package DisplayGUI;
import java.awt.*;
/**
 * 
 * @author  robinson
 */
public interface displayParams {

    Font displayTextFont = new Font("Arial", Font.PLAIN,12);
    Font displayBoldFont = new Font("Arial", Font.BOLD,12);
    Color displayTextColor = Color.blue;
    Font displayTitleFont = new Font("Arial",Font.BOLD,16);
    Color darkBlueColor = new Color(51, 0, 153);
    Color darkGreenColor = new Color(0,102,0);
    Color backgroundColor = new Color(255, 255, 255);
    Color menuColor = new Color(51, 0, 153);

    Font displayScaleFont = new Font("Arial",Font.PLAIN,10);
    Font displayCCFont = new Font("Arial",0,10);
    Font displayCCBoldFont = new Font("Arial",0,10);
    Font menuFont = new Font("Arial",Font.PLAIN,10);

    Font tableFont = new Font("Arial",Font.PLAIN,10);
    
    int yOffSet=45;   // vertical offset - need space for titles
    int boxWidth=35;  // barrel module graphics cell width
    int boxHeight=12; // barrel module graphics cell height
    
    int tickHeight=5;
    int tickLabelOffSet=2;
    
    int colorBoxWidth=250;
    int colorBoxHeight=10;
    
}
