#include "ScanResultIOHelper.h"
#include "ScanHeader.h"
#include "ModuleConfiguration.h"
#include "ScanResult.h"
#include "ScanPoints.h"

namespace SctData {

ScanResultIOHelper::ScanResultIOHelper() {}
	
ScanHeader& ScanResultIOHelper::getHeader() const {
	return const_cast<ScanHeader&>(ob->header);
}

ModuleConfiguration& ScanResultIOHelper::getConfiguration() const {
	return const_cast<ModuleConfiguration&>(ob->moduleConfig);
}

ScanPoints& ScanResultIOHelper::getPoints() const {
	return const_cast<ScanPoints&>(ob->points);
}

void ScanResultIOHelper::set(const ScanResult& ob) const {
	//Another poor const_cast
	this->ob = const_cast<ScanResult*>(&ob);
}
	
}
