#include <memory>
#include <list>

namespace SctPixelRod {
  class RodPrimList;
  class RodPrimitive;
}

namespace SctApi {
  struct PrimListWrapper {
    PrimListWrapper();
    PrimListWrapper(unsigned int index);
    void clear();
    void addPrimitive(const SctPixelRod::RodPrimitive &prim, long *data = 0);

    ~PrimListWrapper();

    std::auto_ptr<SctPixelRod::RodPrimList> list;
    std::list<long *> data;
  };
}
