#ifndef ArchStrobeDelayTestResult_H
#define ArchStrobeDelayTestResult_H


#include "Sct/SctNames.h"
#include "ArchTestResult.h"
#include "SctData/StrobeDelayTestResult.h"
#include <TVectorD.h>
#include <vector>


using namespace SctData;
using namespace Sct;


class ArchStrobeDelayTestResult: public  ArchTestResult {
  
 private:
  double  fraction;
  vector<double>  optima;

  TVectorD* vfraction;
  TVectorD* voptima;

 public: 

  ArchStrobeDelayTestResult();
  ArchStrobeDelayTestResult(StrobeDelayTestResult &);
  ~ArchStrobeDelayTestResult();
 
  void SaveStrobeDelayTestDataOnly();
  void SaveStrobeDelay();
  void TestSummary(StrobeDelayTestResult &);
   
};


#endif
