package SummaryReader;
import java.io.*;

public class ReaderReportUtilities  {
          public static void showTestReport(DisplayGUI.gui guiControl, DisplayGUI.ModuleCell thisCell) {
           String header = guiControl.testDataInterface.getResultObjectHeader();
           if(header==null) return;
//           int testIndex = guiControl.testDataInterface.getTestIndex();
           int parameterIndex = guiControl.selectorPane.getDisplayParameterIndex();
           String sn = thisCell.getSerialNo();
           String resultObject = header+sn;
           DisplayGUI.TestSummaryIS result = new DisplayGUI.TestSummaryIS(); 
           if(!Sct.IS.SctNames.getISRepository().contains(resultObject)) return;
           Sct.IS.SctNames.getISRepository().getValue(resultObject, result); 
//           System.out.println(result.dataString);
           Reader reader = new Reader(result.dataString);
           StringBuffer htmlReport = new StringBuffer(guiUtilities.DaveUtils.getHTMLHeader("Test Report for "+sn));
           htmlReport.append(reader.getTest().getTestInfo().getSummaryTable());
           htmlReport.append(reader.getTest().getCommentsSummary());
           htmlReport.append(reader.getTest().getDAQInfo().getSummaryTable());
           htmlReport.append(reader.getTest().getScanInfo().getSummaryTable());
           for(int i=0;i<reader.getTest().noDataBlocks();i++) htmlReport.append(reader.getTest().getDataBlock(i).getSummaryTable());
           htmlReport.append(reader.getTest().getDefectSummaryTable());
           htmlReport.append(guiUtilities.DaveUtils.getHTMLFooter());
           guiControl.htmlViewer.show(htmlReport.toString(),reader.getTest().getTestInfo().getName()+" Report for "+sn);
           }
}
